FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202004261927 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202004261927 
ENV __doozer=merge OS_GIT_COMMIT=7dbd4ee OS_GIT_VERSION=4.4.0-202004261927-7dbd4ee SOURCE_DATE_EPOCH=1587262327 SOURCE_GIT_COMMIT=7dbd4eef7f96878fcc7652dd261fcf9c8cd34836 SOURCE_GIT_TAG=7dbd4eef SOURCE_GIT_URL=https://github.com/openshift/cluster-samples-operator 
WORKDIR /go/src/github.com/openshift/cluster-samples-operator
COPY . .
RUN make build

FROM openshift/ose-base:ubi7
ENV __doozer=update BUILD_RELEASE=202004261927 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202004261927 
ENV __doozer=merge OS_GIT_COMMIT=7dbd4ee OS_GIT_VERSION=4.4.0-202004261927-7dbd4ee SOURCE_DATE_EPOCH=1587262327 SOURCE_GIT_COMMIT=7dbd4eef7f96878fcc7652dd261fcf9c8cd34836 SOURCE_GIT_TAG=7dbd4eef SOURCE_GIT_URL=https://github.com/openshift/cluster-samples-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-samples-operator/cluster-samples-operator /usr/bin/
RUN ln -f /usr/bin/cluster-samples-operator /usr/bin/cluster-samples-operator-watch
COPY manifests/image-references manifests/0* /manifests/
COPY vendor/github.com/openshift/api/samples/v1/0000_10_samplesconfig.crd.yaml /manifests/
COPY tmp/build/assets /opt/openshift/
RUN useradd cluster-samples-operator
USER cluster-samples-operator
ENTRYPOINT []
CMD ["/usr/bin/cluster-samples-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-samples-operator" \
        com.redhat.component="ose-cluster-samples-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Samples" \
        version="v4.4.0" \
        release="202004261927" \
        io.openshift.build.commit.id="7dbd4eef7f96878fcc7652dd261fcf9c8cd34836" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-samples-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-samples-operator/commit/7dbd4eef7f96878fcc7652dd261fcf9c8cd34836"

